# FTP List

**FTPList** returns a list of all the files and directories in the specified remote path.

***

## Properties

### Connection

Use the \[Connection Editor]\(../sharedproperties/connectioneditor.md to provide the connection values for connecting to the FTP server.

### Remote path

The path to the directory to list.

### Loop results

If selected, the files will be returned in a loop; otherwise, a list containing all the file information records will be created.

### Recursive

Select to return all files (including those in subdirectories).

***

## Links

[Wikipedia: File Transfer Protocol](http://en.wikipedia.org/wiki/File_Transfer_Protocol)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/ftp/content/ftplist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
